<?php 

add_action( 'wp_enqueue_scripts', 'salient_child_enqueue_styles');
function salient_child_enqueue_styles() {
	
		$nectar_theme_version = nectar_get_theme_version();
		
    wp_enqueue_style( 'parent-style', get_template_directory_uri() . '/style.css', array('font-awesome'), $nectar_theme_version);

    if ( is_rtl() ) 
   		wp_enqueue_style(  'salient-rtl',  get_template_directory_uri(). '/rtl.css', array(), '1', 'screen' );
}


function get_recent_post () {
    
    $args = array(
        'orderby' => 'post_date',
        'order' => 'DESC',
        'posts_per_page' => 3,
        'post_type' => 'post',
        'post_status' => 'publish'
    );
    
    $query = new WP_Query( $args );
    
    if ($query->have_posts()) :
        
        $string .= "<div class='post__recent_content'>";
        
        while ($query->have_posts()) :
            $query->the_post();
            
            $postid = get_the_ID();
            $title = get_the_title();
            $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'single-post-thumbnail' );
            $link = get_permalink( $postid );
            $summary = wp_trim_words( get_the_content(), 15, '...' );
            
            
            $string .= "
            <article class='post__content__item'>
                <h2 class='post__item__title'>{$title}</h2>
                <figure>
                    <img src='{$image[0]}' />
                </figure>

                <div class='post__item__content'>
                    <p class='post__item__summary'>{$summary}</p>
                    <div class='post__read__btns'>
                        <a class='btn__recent__news' href='{$link}'>CONTINUE READING</a>
                    </div>
                </div>
            </article>";
            
        endwhile;

        $string .= "</div>";

    endif;
    
    wp_reset_query();
    return $string;
}

add_shortcode('post__print', 'get_recent_post');


// function remove_tml_register_fields() {
// 	tml_remove_form_field( 'register', 'user_login' );
// }
// add_action( 'init', 'remove_tml_register_fields' );

function remove_password_strength_meter_from_registration() {
    tml_remove_form_field( 'register', 'indicator' );
    tml_remove_form_field( 'register', 'indicator_hint' );
    tml_remove_form_field( 'resetpass', 'indicator' );
    tml_remove_form_field( 'resetpass', 'indicator_hint' );
}
add_action( 'init', 'remove_password_strength_meter_from_registration' );


function add_tml_registration_form_fields() {
	tml_add_form_field( 'register', 'company_name', array(
		'type'     => 'text',
		'label'    => 'Company Name',
// 		'attributes' => array(
// 			'placeholder' => 'Company Name'
// 		),
		'value'    => tml_get_request_value( 'company_name', 'post' ),
		'id'       => 'company_name',
		'priority' => 1,
	) );
	tml_add_form_field( 'register', 'phone_number', array(
		'type'     => 'tel',
		'label'    => 'Phone Number',
// 		'attributes' => array(
// 			'placeholder' => 'Phone Number'
// 		),
		'value'    => tml_get_request_value( 'phone_number', 'post' ),
		'id'       => 'phone_number',
		'priority' => 15,
	) );
}

add_action( 'init', 'add_tml_registration_form_fields' );
function validate_tml_registration_form_fields( $errors ) {
	if ( empty( $_POST['company_name'] ) ) {
		$errors->add( 'empty_company_name', '<strong>ERROR</strong>: Please enter your Company Name.' );
	}
	if ( empty( $_POST['phone_number'] ) ) {
		$errors->add( 'empty_phone_number', '<strong>ERROR</strong>: Please enter your Phone Number.' );
	}
	return $errors;
}
add_filter( 'registration_errors', 'validate_tml_registration_form_fields' );

function save_tml_registration_form_fields( $user_id ) {
	if ( ! empty( $_POST['company_name'] ) ) {
		update_user_meta( $user_id, 'phone_number', sanitize_text_field( $_POST['phone_number'] ) );
	}
	if ( ! empty( $_POST['phone_number'] ) ) {
		update_user_meta( $user_id, 'phone_number', sanitize_text_field( $_POST['phone_number'] ) );
	}
}
add_action( 'user_register', 'save_tml_registration_form_fields' );

?>