<?php
/**
 * Footer widget area
 *
 * @package Salient WordPress Theme
 * @subpackage Partials
 * @version 9.0.2
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
 
$options = get_nectar_theme_options();

$using_footer_widget_area = ( ! empty( $options['enable-main-footer-area'] ) && $options['enable-main-footer-area'] == 1 ) ? 'true' : 'false';
$footer_columns           = ( ! empty( $options['footer_columns'] ) ) ? $options['footer_columns'] : '4';

if ( $using_footer_widget_area == 'true' ) { ?>
  
<div id="footer-widgets" data-cols="<?php echo esc_attr( $footer_columns ); ?>">
  
  <div class="container">
	
	<?php nectar_hook_before_footer_widget_area(); ?>
	
	<div class="row">
	   
	  <?php

		if ( $footer_columns == '1' ) {
			$footer_column_class = 'span_12';
		} elseif ( $footer_columns == '2' ) {
			$footer_column_class = 'span_6';
		} elseif ( $footer_columns == '3' ) {
			$footer_column_class = 'span_4';
		} else {
			$footer_column_class = 'span_3';
		}
		?>
	   
	  <div class="col <?php echo esc_attr( $footer_column_class ); // WPCS: XSS ok. ?>">
		  <!-- Footer widget area 1 -->
		  <?php
			if ( function_exists( 'dynamic_sidebar' ) && dynamic_sidebar( 'Footer Area 1' ) ) :
else :
	?>
  
			<div class="widget">		
			   
				   </div>
			<?php endif; ?>
	  </div><!--/span_3-->
	   
	  <?php if ( $footer_columns == '2' || $footer_columns == '3' || $footer_columns == '4' || $footer_columns == '5' ) { ?>

		<div class="col <?php echo esc_attr( $footer_column_class ); // WPCS: XSS ok. ?>">
		   <!-- Footer widget area 2 -->
			<?php
			if ( function_exists( 'dynamic_sidebar' ) && dynamic_sidebar( 'Footer Area 2' ) ) :
else :
	?>
  
			  <div class="widget">			
				
					 </div>
			<?php endif; ?>
			
		</div><!--/span_3-->

		<?php } ?>

	   
	  <?php if ( $footer_columns == '3' || $footer_columns == '4' || $footer_columns == '5' ) { ?>
		<div class="col <?php echo esc_attr( $footer_column_class ); // WPCS: XSS ok. ?>">
		   <!-- Footer widget area 3 -->
			<?php
			if ( function_exists( 'dynamic_sidebar' ) && dynamic_sidebar( 'Footer Area 3' ) ) :
            
            else :
	   ?>
	
                <div class="widget">
                    
                    <!-- Social -->
                    
                    <ul class="social">
                        <?php
                        if ( ! empty( $options['use-twitter-icon'] ) && $options['use-twitter-icon'] == 1 ) {
                            ?>
                           <li><a target="_blank" href="<?php echo esc_url( $options['twitter-url'] ); ?>"><i class="fa fa-twitter"></i> </a></li> <?php } ?>
                      <?php
                        if ( ! empty( $options['use-facebook-icon'] ) && $options['use-facebook-icon'] == 1 ) {
                            ?>
                         <li><a target="_blank" href="<?php echo esc_url( $options['facebook-url'] ); ?>"><i class="fa fa-facebook"></i> </a></li> <?php } ?>
                      <?php
                        if ( ! empty( $options['use-vimeo-icon'] ) && $options['use-vimeo-icon'] == 1 ) {
                            ?>
                         <li><a target="_blank" href="<?php echo esc_url( $options['vimeo-url'] ); ?>"> <i class="fa fa-vimeo"></i> </a></li> <?php } ?>
                      <?php
                        if ( ! empty( $options['use-pinterest-icon'] ) && $options['use-pinterest-icon'] == 1 ) {
                            ?>
                         <li><a target="_blank" href="<?php echo esc_url( $options['pinterest-url'] ); ?>"><i class="fa fa-pinterest"></i> </a></li> <?php } ?>
                      <?php
                        if ( ! empty( $options['use-linkedin-icon'] ) && $options['use-linkedin-icon'] == 1 ) {
                            ?>
                         <li><a target="_blank" href="<?php echo esc_url( $options['linkedin-url'] ); ?>"><i class="fa fa-linkedin"></i> </a></li> <?php } ?>
                      <?php
                        if ( ! empty( $options['use-youtube-icon'] ) && $options['use-youtube-icon'] == 1 ) {
                            ?>
                         <li><a target="_blank" href="<?php echo esc_url( $options['youtube-url'] ); ?>"><i class="fa fa-youtube-play"></i> </a></li> <?php } ?>
                      <?php
                        if ( ! empty( $options['use-tumblr-icon'] ) && $options['use-tumblr-icon'] == 1 ) {
                            ?>
                         <li><a target="_blank" href="<?php echo esc_url( $options['tumblr-url'] ); ?>"><i class="fa fa-tumblr"></i> </a></li> <?php } ?>
                      <?php
                        if ( ! empty( $options['use-dribbble-icon'] ) && $options['use-dribbble-icon'] == 1 ) {
                            ?>
                         <li><a target="_blank" href="<?php echo esc_url( $options['dribbble-url'] ); ?>"><i class="fa fa-dribbble"></i> </a></li> <?php } ?>
                      <?php
                        if ( ! empty( $options['use-rss-icon'] ) && $options['use-rss-icon'] == 1 ) {
                            ?>
                         <li><a target="_blank" href="<?php echo ( ! empty( $options['rss-url'] ) ) ? esc_url( $options['rss-url'] ) : esc_html( get_bloginfo( 'rss_url' ) ); ?>"><i class="fa fa-rss"></i> </a></li> <?php } ?>
                      <?php
                        if ( ! empty( $options['use-github-icon'] ) && $options['use-github-icon'] == 1 ) {
                            ?>
                         <li><a target="_blank" href="<?php echo esc_url( $options['github-url'] ); ?>"><i class="fa fa-github-alt"></i></a></li> <?php } ?>
                      <?php
                        if ( ! empty( $options['use-behance-icon'] ) && $options['use-behance-icon'] == 1 ) {
                            ?>
                         <li><a target="_blank" href="<?php echo esc_url( $options['behance-url'] ); ?>"> <i class="fa fa-behance"></i> </a></li> <?php } ?>
                      <?php
                        if ( ! empty( $options['use-google-plus-icon'] ) && $options['use-google-plus-icon'] == 1 ) {
                            ?>
                         <li><a target="_blank" href="<?php echo esc_url( $options['google-plus-url'] ); ?>"><i class="fa fa-google-plus"></i> </a></li> <?php } ?>
                      <?php
                        if ( ! empty( $options['use-instagram-icon'] ) && $options['use-instagram-icon'] == 1 ) {
                            ?>
                         <li><a target="_blank" href="<?php echo esc_url( $options['instagram-url'] ); ?>"><i class="fa fa-instagram"></i></a></li> <?php } ?>
                      <?php
                        if ( ! empty( $options['use-stackexchange-icon'] ) && $options['use-stackexchange-icon'] == 1 ) {
                            ?>
                         <li><a target="_blank" href="<?php echo esc_url( $options['stackexchange-url'] ); ?>"><i class="fa fa-stackexchange"></i></a></li> <?php } ?>
                      <?php
                        if ( ! empty( $options['use-soundcloud-icon'] ) && $options['use-soundcloud-icon'] == 1 ) {
                            ?>
                         <li><a target="_blank" href="<?php echo esc_url( $options['soundcloud-url'] ); ?>"><i class="fa fa-soundcloud"></i></a></li> <?php } ?>
                      <?php
                        if ( ! empty( $options['use-flickr-icon'] ) && $options['use-flickr-icon'] == 1 ) {
                            ?>
                         <li><a target="_blank" href="<?php echo esc_url( $options['flickr-url'] ); ?>"><i class="fa fa-flickr"></i></a></li> <?php } ?>
                      <?php
                        if ( ! empty( $options['use-spotify-icon'] ) && $options['use-spotify-icon'] == 1 ) {
                            ?>
                         <li><a target="_blank" href="<?php echo esc_url( $options['spotify-url'] ); ?>"><i class="icon-salient-spotify"></i></a></li> <?php } ?>
                      <?php
                        if ( ! empty( $options['use-vk-icon'] ) && $options['use-vk-icon'] == 1 ) {
                            ?>
                         <li><a target="_blank" href="<?php echo esc_url( $options['vk-url'] ); ?>"><i class="fa fa-vk"></i></a></li> <?php } ?>
                      <?php
                        if ( ! empty( $options['use-vine-icon'] ) && $options['use-vine-icon'] == 1 ) {
                            ?>
                         <li><a target="_blank" href="<?php echo esc_url( $options['vine-url'] ); ?>"><i class="fa-vine"></i></a></li> <?php } ?>
                      <?php
                        if ( ! empty( $options['use-houzz-icon'] ) && $options['use-houzz-icon'] == 1 ) {
                            ?>
                         <li><a target="_blank" href="<?php echo esc_url( $options['houzz-url'] ); ?>"><i class="fa-houzz"></i></a></li> <?php } ?>
                      <?php
                        if ( ! empty( $options['use-yelp-icon'] ) && $options['use-yelp-icon'] == 1 ) {
                            ?>
                         <li><a target="_blank" href="<?php echo esc_url( $options['yelp-url'] ); ?>"><i class="fa-yelp"></i></a></li> <?php } ?>
                      <?php
                        if ( ! empty( $options['use-snapchat-icon'] ) && $options['use-snapchat-icon'] == 1 ) {
                            ?>
                         <li><a target="_blank" href="<?php echo esc_url( $options['snapchat-url'] ); ?>"><i class="fa-snapchat"></i></a></li> <?php } ?>
                      <?php
                        if ( ! empty( $options['use-mixcloud-icon'] ) && $options['use-mixcloud-icon'] == 1 ) {
                            ?>
                         <li><a target="_blank" href="<?php echo esc_url( $options['mixcloud-url'] ); ?>"><i class="fa-mixcloud"></i></a></li> <?php } ?>
                      <?php
                        if ( ! empty( $options['use-bandcamp-icon'] ) && $options['use-bandcamp-icon'] == 1 ) {
                            ?>
                         <li><a target="_blank" href="<?php echo esc_url( $options['bandcamp-url'] ); ?>"><i class="fa-bandcamp"></i></a></li> <?php } ?>
                      <?php
                        if ( ! empty( $options['use-tripadvisor-icon'] ) && $options['use-tripadvisor-icon'] == 1 ) {
                            ?>
                         <li><a target="_blank" href="<?php echo esc_url( $options['tripadvisor-url'] ); ?>"><i class="fa-tripadvisor"></i></a></li> <?php } ?>
                      <?php
                        if ( ! empty( $options['use-telegram-icon'] ) && $options['use-telegram-icon'] == 1 ) {
                            ?>
                         <li><a target="_blank" href="<?php echo esc_url( $options['telegram-url'] ); ?>"><i class="fa-telegram"></i></a></li> <?php } ?>
                      <?php
                        if ( ! empty( $options['use-slack-icon'] ) && $options['use-slack-icon'] == 1 ) {
                            ?>
                         <li><a target="_blank" href="<?php echo esc_url( $options['slack-url'] ); ?>"><i class="fa-slack"></i></a></li> <?php } ?>
                      <?php
                        if ( ! empty( $options['use-medium-icon'] ) && $options['use-medium-icon'] == 1 ) {
                            ?>
                         <li><a target="_blank" href="<?php echo esc_url( $options['medium-url'] ); ?>"><i class="fa-medium"></i></a></li> <?php } ?>
                    </ul>
                    
                    <!-- Social -->
			   
                </div>		
            
            
			<?php endif; ?>
			
		</div><!--/span_3-->
		<?php } ?>
	   
	  <?php if ( $footer_columns == '4' || $footer_columns == '5' ) { ?>
		<div class="col <?php echo esc_attr( $footer_column_class ); // WPCS: XSS ok. ?>">
		   <!-- Footer widget area 4 -->
			<?php
			if ( function_exists( 'dynamic_sidebar' ) && dynamic_sidebar( 'Footer Area 4' ) ) :
else :
	?>
  
			  <div class="widget">		
				
					   </div><!--/widget-->	
			<?php endif; ?>
			
		</div><!--/span_3-->
		<?php } ?>
	   
	</div><!--/row-->
	
	<?php nectar_hook_after_footer_widget_area(); ?>
	
  </div><!--/container-->

</div><!--/footer-widgets-->

	<?php
} //endif for enable main footer area